::==================================================================
::BIOS Flash reference script V1.2
::It is a sample script to demo how to flash BIOS via script command
::Please make your own script depend on your case.
::==================================================================
::Target Platform
::flash tool is afudos 3.06.01 (APTIO4)(DOS)
@echo off
::==================================
set BIOS_BIN=QM87ER10.ROM
set FLASH_TOOL=afu30601.exe
set FLASH_PARAMETER= /B /P /N /X
::==================================
:LABEL_CHECK_FILE
if not exist %BIOS_BIN% goto LABEL_BIOS_BIN_ERROR
if not exist %FLASH_TOOL% goto LABEL_BIOS_BIN_ERROR
goto LABEL_GO_FLASH
:LABEL_GO_FLASH
%FLASH_TOOL% %BIOS_BIN% %FLASH_PARAMETER%
goto LABEL_DONE
:BIOS_BIN_ERROR
@echo Please makesure both %BIOS_BIN% and %FLASH_TOOL% are existed in this folder.
:LABEL_DONE
@pause
set BIOS_BIN=
set FLASH_TOOL=
set FLASH_PARAMETER=